buildscript {
    repositories {
        maven{ url 'http://maven.aliyun.com/repository/public'}
    }
    ext {
        springBootVersion = '1.5.18.RELEASE'
    }
    dependencies {
        classpath("org.springframework.boot:spring-boot-gradle-plugin:${springBootVersion}")
    }
}

allprojects {
    repositories {
        maven{ url 'http://maven.aliyun.com/repository/public'}
    }
}

subprojects {
    apply plugin: 'java'
    apply plugin: 'org.springframework.boot'

    sourceCompatibility = JavaVersion.VERSION_1_8
    targetCompatibility = JavaVersion.VERSION_1_8

    buildscript {
        repositories {
            maven{ url 'http://maven.aliyun.com/repository/public'}
        }
    }
}